NSX-T Data Center Global Manager REST API

Read node properties

Returns information about the NSX appliance. Information includes CLI coredump
configuration, CLI history size, CLI output datetime, CLI output deprecate warn,
CLI timeout, export type, host name, kernel version, message of the day (motd),
node type, node UUID, node version, product version, system datetime, system time
and time zone.

Request:

Method:
GET
URI Path(s):
/api/v1/transport-nodes/{transport-node-id}/node
/api/v1/cluster/{cluster-node-id}/node
/api/v1/node
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<nsx-mgr>/api/v1/node

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
NodeProperties+

Example Response:

{ "cli_coredump_config": { "global_file_limit": 2, "global_frequency_threshold": 600, "process_config": [] }, "cli_history_size": 100, "cli_output_datetime": true, "cli_output_deprecate_warn": true, "cli_timeout": 600, "export_type": "UNRESTRICTED", "hostname": "ad007501-nsxmanager-ob-25455896-1-Test2", "kernel_version": "6.6.116-nn3-generic", "motd": "", "node_type": "NSX Manager", "node_uuid": "5aac0142-b47d-02b9-67fd-df2bd9ed6a0b", "node_version": "9.1.1.0.25455905", "product_version": "9.1.1.0.25455896", "system_datetime": "2026-05-31T15:33:38Z", "system_time": 1780241618189, "timezone": "Etc/UTC" }

Required Permissions:

none

Feature:

system_administration

Additional Errors: